
{% extends 'index.html' %}
{% load static %}

{% block titulo %}
  Crear anuncio
{% endblock titulo %}

{% block extracss %}
  <link rel="stylesheet" href="{% static 'css/propiedades.css' %}">
{% endblock extracss %}

{% block body %}
<div class="container">

  <img src="{% static 'images/banner01.jpg' %}" class="img-card card-img-top img-fluid property-img mt-3">

  <div class="card my-5">

  <form enctype="multipart/form-data" method="POST" class="card-body">
    {% csrf_token %}

    {% if error %}
      <h2>{{error}}</h2>
    {% else %}

      <div class="row">

        <div class="col-md-4">
          <div class="form-group">
            <label for="">Tipo anuncio</label>
            <select name="tipo_anuncio" class="form-control" required>
              <!-- <option value=0 selected>Seleccione tipo anuncio...</option> -->
              {% for ta in tiposAnuncios %}
                <option value={{ta.id}}>{{ta.nombre}}</option>
              {% endfor %}
            </select>
              </div>
        </div>

        <div class="col-md-4">
          <div class="form-group">
            <label for="">Tipo inmueble</label>
            <select name="tipo_inmueble" class="form-control" required>
              <!-- <option value=0 selected>Seleccione tipo inmueble...</option> -->
              {% for ti in tiposInmuebles %}
                <option value={{ti.id}}>{{ti.nombre}}</option>
              {% endfor %}
            </select>
              </div>
        </div>

        <div class="col-md-4">
          <div class="form-group">
            <label for="">Precio (UF)</label>
            <input type="number" class="form-control" name="precio" required>
              </div>
        </div>

        <div class="col-md-4">
          <div class="form-group">
            <label for="">Metros cuadrados</label>
            <input type="number" class="form-control" name="metros_cuadrados" required>
              </div>
        </div>

        <div class="col-md-4">
          <div class="form-group">
            <label for="">Cantidad dormitorios</label>
            <select name="cantidad_dormitorios" class="form-control" required>
              <option value=1>1</option>
              <option value=2>2</option>
              <option value=3>3</option>
            </select>
            <!-- <input type="number" class="form-control" name="cantidad_dormitorios" required> -->
              </div>
        </div>

        <div class="col-md-4">
          <div class="form-group">
            <label for="">Cantidad baños</label>
            <select name="cantidad_banios" class="form-control" required>
              <option value=1>1</option>
              <option value=2>2</option>
              <option value=3>3</option>
            </select>
            <!-- <input type="number" class="form-control" name="cantidad_banios" required> -->
              </div>
        </div>

      </div>

      <div class="row">
        <div class="col-md-4">
          <div class="form-group">
            <label for="">Región</label>
            <select name="region" class="form-control" required>
              <!-- <option value=0 selected>Seleccione región...</option> -->
              {% for r in regiones %}
                <option value={{r.id}}>{{r.nombre}}</option>
              {% endfor %}
            </select>
              </div>
        </div>

        <div class="col-md-4">
          <div class="form-group">
            <label for="">Comuna</label>
            <select name="comuna" class="form-control" required>
              <!-- <option value=0 selected>Seleccione comuna...</option> -->
              {% for c in comunas %}
                <option value={{c.id}}>{{c.nombre}}</option>
              {% endfor %}
            </select>
              </div>
        </div>

        <div class="col-md-4">
          <div class="form-group">
            <label for="">Calle</label>
            <input type="text" class="form-control" name="calle" maxlength="50" required>
              </div>
        </div>

        <div class="col-md-4">
          <div class="form-group">
            <label for="">Número</label>
            <input type="text" class="form-control" name="numero" maxlength="50" required>
              </div>
        </div>

        <div class="col-md-4">
          <div class="form-group">
            <label for="">Detalle </label>
            <input type="text" class="form-control" name="detalle" maxlength="50" required>
              </div>
        </div>
      </div>

      <div class="form-group">
        <label for="">Imagenes</label>
        <div class="custom-file">
          <input type="file" class="custom-file-input" name="galeria">
          <label class="custom-file-label" for="validatedCustomFile">Selecciona imagen...</label>
          <div class="invalid-feedback">Example invalid custom file feedback</div>
        </div>
      </div>

      <div class="form-group">
        <label for="">Descripción</label>
        <textarea rows="3" class="form-control" name="descripcion" maxlength="250" required></textarea>
      </div>
      <div class="row mx-0">
        <a href="/anuncios" class="btn btn-secondary">Volver</a>
        <button type="submit" class="btn btn-dark d-block ml-auto">Guardar Anuncio</button>
      </div>
    {% endif %}
  </form>
</div>
</div>
{% endblock body %}
